patchedit(1)

NAME
patchedit - Edit headers of a patch according to DEP3

SYNOPSIS
patchedit [command] patchfile

DESCRIPTION
patchedit is a helper script for managing patch headers according to <http://dep.debian.net/deps/dep3/>.

COMMANDS

edit (default)
    Opens patchfile in EDITOR (or VISUAL or sensible-editor) and

    •   checks all headers

    •   marks problems

    •   adds missing required headers with proposals for their values

    If no command is given, edit is chosen automatically.

check
    Does a non-interactive check if the headers conform to DEP3. Prints the results (missing required headers, wrong values, ...) to stdout.

ARGUMENTS

patchfile (required)
    The patch to work on. Either a full path or the name of the file in ./debian/patches.

OPTIONS

-f|--fix
    Tries to fix problems in the headers when editing/checking patches.

-o|--optional
    Also add/print missing optional headers.

-h|--help
    Help output.

ENVIRONMENT
patchedit respects DEBEMAIL (or EMAIL) and DEBFULLNAME (for new Author or Reviewed-by headers).

NOTE
This script is not pkg-perl specific. It should go into devscripts eventually.

TODO
 * preserve the extra fields
 * preserve the order of the fields

COPYRIGHT AND LICENSE
Copyright 2010, Jozef Kutej <jkutej@cpan.org>.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.